package org.jeecg.modules.deliver.cmos.job.task;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.digital.task.hzfp.HzqrdZtTaskService;
import org.jeecg.modules.deliver.cmos.job.CmosConstants;
import org.jeecg.modules.deliver.cmos.job.CmosTask;
import org.springframework.stereotype.Component;

@Slf4j
@RequiredArgsConstructor
@Component
public class CmosHzqrdZtgxTask implements CmosTask {

    final HzqrdZtTaskService taskService;

    @Override
    public String getType() {
        return CmosConstants.HZQRD_ZTGX;
    }

    @Override
    public void execute() throws Exception {
        taskService.execute();
    }
}
